%define upstream_name Benchmark
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.9
Release:     	%mkrel 1
Summary:    	Framework to benchmark PHP scripts or function calls
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Benchmark-%{version}.tgz
URL: 		http://pear.php.net/package/Benchmark
BuildRequires: 	php-pear- >= 1.4.7
BuildArch: 	noarch

%description
Framework to benchmark PHP scripts or function calls.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Benchmark.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Benchmark.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Benchmark
fi

%files
%defattr(-,root,root)
%doc docs/Benchmark/*
%{peardir}/*
%{xmldir}/Benchmark.xml


%changelog

* Thu Jan 12 2012 spuhler <spuhler> 1.2.9-1.mga2
+ Revision: 195166
- corrected GROUP to Development/PHP
- upgrade to 1.2.9
  pearized spec

* Sun Jan 30 2011 spuhler <spuhler> 1.2.8-1.mga1
+ Revision: 44602
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Benchmark

